* oencode: program to encode string variable using user-specified ordering
* Version 1.3
program define oencode
	syntax varlist(max=1 str), Order(numlist) [GENerate(string) REPlace]
	
	qui levelsof `varlist', local(levels)
	
	if "`generate'" != "" & "`replace'" != "" {
		di as err "options generate and replace are mutually exclusive"
		exit 198
	}
	else if "`generate'" == "" & "`replace'" == "" {
		di as err "must specify either generate or replace option"
		exit 198
	}
	if `:word count `order'' < `:word count `levels'' {
		exit 122
	}
	else if `:word count `order'' > `:word count `levels'' {
		exit 123	
	}
	
	if "`generate'" != "" {
		qui gen `generate' = .
		local i = 1
		foreach num of numlist `order' {
			qui replace `generate' = `num' if `varlist' == "`: word `i' of `levels''"
			label define `generate' `num' "`: word `i' of `levels''", modify
			local ++i
		}
		label values `generate' `generate'
		label var `generate' "`:variable label `varlist''"
	}
	else if "`replace'" != "" {
		rename `varlist' _0lD_`varlist'
		qui gen `varlist' = .
		local i = 1
		foreach num of numlist `order' {
			qui replace `varlist' = `num' if _0lD_`varlist' == "`: word `i' of `levels''"
			label define `varlist' `num' "`: word `i' of `levels''", modify
			local ++i
		}
		order `varlist', before(_0lD_`varlist')
		label values `varlist' `varlist'
		label var `varlist' "`:variable label _0lD_`varlist''"
		drop _0lD_`varlist'
	}
end	

