* 1. Calculate number of hh members and hh residents using egen
by hhid, sort : egen float hh_residents1 = count(pid)
tempvar counter					// Designate tempvar alias
gen `counter' = 1				// Generate temporary counter variable
by hhid, sort : egen float hh_members1 = count(`counter')

* 2. Calculate number of hh members and hh residents using collapse/merge
tempfile original collapsed		// Designate tempfile aliases
save `original'					// Save current data in tempfile `original'
gen counter = 1 				// Gen counter variable
collapse (count) counter (count) pid, by(hhid)	// Collapse by hhid and count
rename counter hh_members2		// Rename collapsed var (make descriptive)
rename pid hh_residents2		// Rename collapsed var (make descriptive)
save `collapsed'				// Save collapsed data in tempfile `collapsed'
use `original' 					// Open `original' data 
qui merge m:1 hhid using `collapsed'	// Merge in vars from `collapsed'

* 3. Establish that egen and collapse-merge method yield same results
assert hh_members1 == hh_members2
assert hh_residents1 == hh_residents2
