* 1. Basic graph without adorment
twoway (lpoly lwages lhhincome)

* 2. Graph with basic manual adornment
# delimit ;
twoway (lpoly lwages lhhincome), 
		ytitle("Log of hourly wages",  size(small))
		xtitle("Log of monthly household income", size(small))
		ylabel(, valuelabel glcolor(gs10) labsize(small) glwidth(vvvthin) gmax)			
		xlabel(0/17, valuelabel labsize(small))
		title("lwages vs lhhincome", size(medium));
# delimit cr

* 3. Graph with basic automated adornment
local yvar lhhincome
local xvar educ	
sum `xvar'
local minx = floor(`r(min)')
local maxx = ceil(`r(max)')

# delimit ;
twoway (lpoly `yvar' `xvar'), 
		ytitle("`:variable label `yvar''",  size(small))
		xtitle("`:variable label `xvar''", size(small))
		ylabel(, valuelabel glcolor(gs10) labsize(small) glwidth(vvvthin) gmax)		
		xlabel(`minx'/`maxx', valuelabel labsize(medsmall))
		title("`yvar' vs `xvar'", size(medium));
# delimit cr


















			legend(on position(6) order(1 "2000" 2 "2001" 3 "2002" 4 "2003" 5 "2004" 6 "2005" 7 "2006" 8 "2007" 9 "2008" 10 "2009") cols(5) size(medsmall))
			ytitle("Estimated Probability of Graduating in Year",  size(medium) margin(medium))
			xtitle(Year of Birth, size(medium))
			ylabel(,   glcolor(gs10) format(%12.1fc) angle(horizontal) labsize(medsmall) glwidth(vvvthin) gmax)			
			xlabel(1935(5)1992, angle(90) valuelabel labsize(medsmall))
			graphregion(fcolor(white) margin(top_bottom) lcolor(white) lwidth(medthick)) bgcolor(white) xsize(2) ysize(1.1) scheme(mono-red) ;
			;
		# delimit cr

