* 1. Estimate proportion of each gender by race group
svyset [pweight=weight1], vce(linearized) singleunit(missing)	// svyset
svy: proportion empl, over(race)

* 2. Import results stored in r() into mata and apply transformations
mata _EST = st_matrix("r(table)")[1,5...]'		// get point estimate
mata _EST_L = st_matrix("r(table)")[5,5...]'	// get 95% CI lower bound
mata _EST_U =st_matrix("r(table)")[6,5...]'		// get 95% CI upper bound

* 3. Creat column vector of race categories 
mata _XVALS = ("African"\"Coloured"\"Indian"\"White")

* 4. Post mata column vectors as Stata variables
getmata _XVALS _EST _EST_L _EST_U, force

* 5. Encode string variable to labeled numeric for graphing
encode _XVALS, gen(_XCATS)

* 6. Graph bars with 95% confidence intervals
twoway (bar _EST _XCATS) (rcap _EST_L _EST_U _XCATS), xlabel(, valuelabel)


svyset [pweight=weight1], vce(linearized) singleunit(missing)
tempfile original
save `original'
svy: proportion female, over(race)
mata _XVALS = ("African"\"Coloured"\"Indian"\"White")
mata b=st_matrix("r(table)")[1,5...]'
mata ll=st_matrix("r(table)")[5,5...]'
mata ul=st_matrix("r(table)")[6,5...]'
getmata _XVALS b ll ul, force
encode _XVALS, gen(_XCATS)

twoway (bar b _XCATS) (rcap ll ul _XCATS), xlabel(, valuelabel)
use `original', clear

